Subject: Paginate Widget does not highlight current page
Description

The line

$pages[] = array('number' => $i, 'isCurrent' => ($i === $this->currentPage));

PaginateController::buildPagination() fails to set 'isCurrent' correctly for certain pages because $i is of type float and thus not (type
safe) equal to $this->currentPage.

Associated revisions
Revision fca5d265 - 2011-07-18 10:18 - Bastian Waidelich

[BUGFIX] Paginate Widget does not highlight current page

The "isCurrent" property of a page is not set correctly for certain
pages because the PaginationController fails to cast values to
integers.
This change fixes this.

Change-Id: I9fda9b95be1f21df56aed0d7f5356d544aa86f85
Resolves: #28283

Revision dee12aa6 - 2014-05-14 19:29 - Bastian Waidelich

[BUGFIX] Paginate Widget: Correctly highlight current page

With #28283 the current page is correctly highlighted most of the
time. But if a non-existing page is requested (for example by
manually setting the currentPage-argument to a number higher than
the number of total pages) the last page should be highlighted, but
is not.

That is fixed with this change by making sure that ``numberOfPages``
is always an integer.

Change-Id: Ie1c0238d570040501b3194962135082fbad0ee6d
Related: #28283
Releases: master, 2.2, 2.1
Revision 5717d53c - 2014-06-18 12:07 - Bastian Waidelich

[BUGFIX] Paginate Widget: Correctly highlight current page

With #28283 the current page is correctly highlighted most of the
time. But if a non-existing page is requested (for example by
manually setting the currentPage-argument to a number higher than
the number of total pages) the last page should be highlighted, but
is not.

That is fixed with this change by making sure that ``numberOfPages``
is always an integer.

Change-Id: Ie1c0238d570040501b3194962135082fbad0ee6d
Related: #28283
Releases: master, 2.2, 2.1

Revision c897a811 - 2014-06-18 21:49 - Bastian Waidelich

[BUGFIX] Paginate Widget: Correctly highlight current page

With #28283 the current page is correctly highlighted most of the
time. But if a non-existing page is requested (for example by
manually setting the currentPage-argument to a number higher than
the number of total pages) the last page should be highlighted, but
is not.

That is fixed with this change by making sure that ``numberOfPages``
is always an integer.

Change-Id: Ie1c0238d570040501b3194962135082fbad0ee6d
Related: #28283
Releases: master, 2.2, 2.1

History
#1 - 2011-07-18 10:14 - Bastian Waidelich
- Subject changed from Paginate Widget fails to cast current page to integer to Paginate Widget does not highlight current page

#2 - 2011-07-18 10:18 - Mr. Hudson

Patch set 1 of change I9fda9b95be1f21df56aed0d7f5356d544aa86f85 has been pushed to the review server.
It is available at http://review.typo3.org/3395

#3 - 2011-07-19 20:28 - Bastian Waidelich
- Status changed from Accepted to Under Review

#4 - 2011-07-21 21:05 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:fca5d265f7797ae156e729258e20183daf246089.

#5 - 2014-02-17 08:55 - Georg Tiefenbrunn

$this->numberOfPages = ceil(...); in initializeAction() returns a float and should also be converted to integer. If there are 10 pages and you manually
set 'currentPage' to 11+, 'isCurrent' is still incorrectly set.

#6 - 2014-02-17 09:11 - Bastian Waidelich
- Status changed from Resolved to Accepted
- Affected Flow version set to (any)

Georg Tiefenbrunn wrote:

$this->numberOfPages = ceil(...); in initializeAction() returns a float and should also be converted to integer. If there are 10 pages and you
manually set 'currentPage' to 11+, 'isCurrent' is still incorrectly set.

Thanks for the feedback, I'll look into this asap

#7 - 2014-05-14 19:31 - Bastian Waidelich

Bastian Waidelich wrote:

Thanks for the feedback, I'll look into this asap

cough sorry, I lost track of this one somehow.. Finally managed to insert the 9 characters: https://review.typo3.org/30119

#8 - 2014-05-16 11:29 - Bastian Waidelich
- Status changed from Accepted to Under Review

#9 - 2014-12-16 11:24 - Bastian Waidelich
- Status changed from Under Review to Resolved

This has been merged in june already (see https://review.typo3.org/30119)

2015-08-03 3/3

https://review.typo3.org/30119
https://review.typo3.org/30119

